Βοήθεια Kρατούμενα ελαττωματικά πακέτα
#1
Ερώτηση 
Γεια σας παιδια και παλι.Προβλημα με κρατουμενα ελλατωματικα πακετα.Προσπαθησα να εγκαταστησω το Flash για chromium σε Lubuntu.Πρωτα απο το site του Flash Player,δεν τα καταφερα.Δοκιμασα απο synaptic,αλλα συνεχεια το ιδιο θεμα,με τα ελλατωματικα πακετα.Δοκιμασα διαφορα αλλα τιποτα.Υπαρχει τροπος να το φτιαξω ή θα πρεπει να κανω μια καθαρη εγκατασταση απο την αρχη? Καθε βοηθεια δεκτή...


Κώδικας:
chris@chris-OptiPlex-GX270:~$ sudo add-apt-repository "deb https://archive.canonical.com/ubuntu $(lsb_release -sc) partner"
chris@chris-OptiPlex-GX270:~$ sudo apt-get update
Hit:1 https://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu artful InRelease
Hit:2 https://archive.canonical.com/ubuntu artful InRelease                    
Hit:3 https://gr.archive.ubuntu.com/ubuntu artful InRelease                    
Hit:4 https://archive.canonical.com/ubuntu bionic InRelease                    
Hit:5 https://gr.archive.ubuntu.com/ubuntu artful-updates InRelease            
Hit:6 https://security.ubuntu.com/ubuntu artful-security InRelease              
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε                                
chris@chris-OptiPlex-GX270:~$ sudo apt-get install adobe-flashplugin
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Μερικά πακέτα είναι αδύνατον να εγκατασταθούν. Αυτό μπορεί να σημαίνει ότι
δημιουργήσατε μια απίθανη κατάσταση ή αν χρησιμοποιείτε την ασταθή
διανομή, ότι μερικά από τα πακέτα δεν έχουν ακόμα δημιουργηθεί ή έχουν
μετακινηθεί από τα εισερχόμενα.
Οι ακόλουθες πληροφορίες ίσως βοηθήσουν στην επίλυση του προβλήματος:

Τα ακόλουθα πακέτα έχουν ανεπίλυτες εξαρτήσεις:
adobe-flashplugin : Εξαρτάται από: libfontconfig1 (>= 2.12) αλλά το 2.11.94-0ubuntu2 πρόκειται να εγκατασταθεί
                    Συστήνει: adobe-flash-properties-gtk (= 1:20180814.1-0ubuntu0.18.04.2) αλλά δεν πρόκειται να εγκατασταθεί η
                                      adobe-flash-properties-kde (= 1:20180814.1-0ubuntu0.18.04.2) αλλά δεν πρόκειται να εγκατασταθεί
E: Αδύνατη η διόρθωση προβλημάτων, έχετε κρατούμενα ελαττωματικά πακέτα.
Parachute for sale.  Used only once.  Small red stain ...
  Απάντηση
#2
εχουν σκασει internal dependencies και το κανει αυτο. η νεα εκδοση θελει κατι που δεν υπαρχει στις επισημες πηγες, η, χρειαζεται επομενης εκδοσης πηγες. εκανες dist-upgrade για να παρει οτι υπαρχει απο καινουρια πακετα; αν δεν κανει τιποτα παλι, υπαρχει τροπος, αλλα ειναι λιγο μοντα. θελει να διαγραψεις τα ελαττωματικα πακετα χειροκινητα. δοκιμασε να κανεις πρωτα dist-upgrade αν δεν το εχεις ηδη κανει, και μετα αν παλι τον παιρνει, θα σε πω πως θα τα πεταξεις χειροκινητα (αν δεν εχεις ανεση με τετοια μην το κανεις μονος σου, γιατι αν διαγραψεις κατι αλλο καταλαθος, θα διαλυσει)
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#3
(20.08.2018 14:11)DarkGoth είπε κι ελάλησε: εχουν σκασει internal dependencies και το κανει αυτο. η νεα εκδοση θελει κατι που δεν υπαρχει στις επισημες πηγες, η, χρειαζεται επομενης εκδοσης πηγες. εκανες dist-upgrade για να παρει οτι υπαρχει απο καινουρια πακετα; αν δεν κανει τιποτα παλι, υπαρχει τροπος, αλλα ειναι λιγο μοντα. θελει να διαγραψεις τα ελαττωματικα πακετα χειροκινητα. δοκιμασε να κανεις πρωτα dist-upgrade αν δεν το εχεις ηδη κανει, και μετα αν παλι τον παιρνει, θα σε πω πως θα τα πεταξεις χειροκινητα (αν δεν εχεις ανεση με τετοια μην το κανεις μονος σου, γιατι αν διαγραψεις κατι αλλο καταλαθος, θα διαλυσει)

Πρωτα σε ευχαριστω για την βοηθεια σου.Δεν το κατεχω καλα το Linux.Αν σε βοηθαει σε κατι εδωσα :
Κώδικας:
chris@chris-OptiPlex-GX270:~$ sudo apt-get upgrade
[sudo] password for chris:
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Υπολογισμός της αναβάθμισης... Ολοκληρώθηκε
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 0 δεν αναβαθμίζονται.
chris@chris-OptiPlex-GX270:~$ sudo apt-get dist-upgrade
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Υπολογισμός της αναβάθμισης... Ολοκληρώθηκε
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 0 δεν αναβαθμίζονται.
chris@chris-OptiPlex-GX270:~$ sudo apt-get update
Hit:1 https://ppa.launchpad.net/nilarimogard/webupd8/ubuntu artful InRelease
Hit:2 https://security.ubuntu.com/ubuntu artful-security InRelease              
Hit:3 https://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu artful InRelease
Hit:4 https://gr.archive.ubuntu.com/ubuntu artful InRelease                    
Hit:5 https://archive.canonical.com/ubuntu artful InRelease                    
Hit:6 https://gr.archive.ubuntu.com/ubuntu artful-updates InRelease            
Hit:7 https://gr.archive.ubuntu.com/ubuntu artful-backports InRelease          
Hit:8 https://archive.canonical.com/ubuntu bionic InRelease                    
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε                                
chris@chris-OptiPlex-GX270:~$ sudo apt-get dist-upgrade
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Υπολογισμός της αναβάθμισης... Ολοκληρώθηκε
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 0 δεν αναβαθμίζονται.
chris@chris-OptiPlex-GX270:~$ sudo apt dist-upgrade
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Υπολογισμός της αναβάθμισης... Ολοκληρώθηκε
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 0 δεν αναβαθμίζονται.
chris@chris-OptiPlex-GX270:~$ sudo  apt-get update
Hit:1 https://ppa.launchpad.net/nilarimogard/webupd8/ubuntu artful InRelease
Hit:2 https://security.ubuntu.com/ubuntu artful-security InRelease              
Hit:3 https://gr.archive.ubuntu.com/ubuntu artful InRelease                    
Hit:4 https://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu artful InRelease
Hit:5 https://gr.archive.ubuntu.com/ubuntu artful-updates InRelease            
Hit:6 https://archive.canonical.com/ubuntu artful InRelease                    
Hit:7 https://gr.archive.ubuntu.com/ubuntu artful-backports InRelease          
Hit:8 https://archive.canonical.com/ubuntu bionic InRelease                    
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε                                
chris@chris-OptiPlex-GX270:~$ clear

chris@chris-OptiPlex-GX270:~$ sudo apt dist-upgrade
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Υπολογισμός της αναβάθμισης... Ολοκληρώθηκε
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 0 δεν αναβαθμίζονται.
chris@chris-OptiPlex-GX270:~$ sudo apt-get dist-upgrade
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Υπολογισμός της αναβάθμισης... Ολοκληρώθηκε
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 0 δεν αναβαθμίζονται.
chris@chris-OptiPlex-GX270:~$ sudo apt-get update
Hit:1 https://ppa.launchpad.net/nilarimogard/webupd8/ubuntu artful InRelease
Hit:2 https://gr.archive.ubuntu.com/ubuntu artful InRelease                    
Hit:3 https://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu artful InRelease
Hit:4 https://archive.canonical.com/ubuntu artful InRelease                    
Hit:5 https://security.ubuntu.com/ubuntu artful-security InRelease              
Hit:6 https://gr.archive.ubuntu.com/ubuntu artful-updates InRelease            
Hit:7 https://gr.archive.ubuntu.com/ubuntu artful-backports InRelease          
Hit:8 https://archive.canonical.com/ubuntu bionic InRelease                    
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε                                
chris@chris-OptiPlex-GX270:~$
Parachute for sale.  Used only once.  Small red stain ...
  Απάντηση
#4
αρα δεν εχει κατι να αναβαθμισει αποτι βλεπω. α... για περιμενε... τωρα μολις ειδα οτι σε ενα σημειο λεει οτι θελει το «libfontconfig1 (>= 2.12)» αλλα θα εγκατασταθει το «2.11.94-0ubuntu2». η εκδοση που εχει το ουμπουντου σου ειναι παλιοτερη και δεν ειναι συμβατη. ειναι οντως θεμα internal depencdencies, αλλα δεν χρειαζεται να διαγραψεις κατι χειροκινητα αποσο βλεπω. εκτος και αν παρουσιαζει γενικα προβληματα το apt-get. το apt-get κατα τα αλλα λειτουργει κανονικα; αν δηλαδη πας να εγκαταστησεις κατι αλλο ασχετο, κανει κανονικα εγκατασταση; να γιατι λεμε να μην βαζετε προσθετες πηγες και ppa και τετοια. σε ενα συστημα χωρις προσθετα, παρα μονο τις επισημες πηγες του, δεν συμβαινουν ποτε τετοια θεματα με dependencies. φαινεται «βολικο» στην αρχη, αλλα στη πραγματικοτητα ειναι μουφα. και στο τελος δεν αξιζει τον κοπο απο τετοια προβληματα που θα προκυπτουν συνεχεια.

θελεις οπωσδηποτε το ρουφιανοχρωμιακι; επειδη η εγκατασταση φλας στον γκοτζιλλα ειναι ΠΟΛΥ πιο απλη (και σαν μηρυκαστικο ο γκοτζιλλας ειναι πολυ πιο αξιοπρεπης απο το χρωμιακι). κατεβαζεις το tar.gz απο την σαπιοαντομπ το αποσυμπιεζεις και πετας το αρχειακι «libflashplayer.so» στον φακελο «~/user/.mozilla/firefox/xxxxxxxx.default/plugins (αν δεν υπαρχει, φτιαχτον). και αυτο ειναι η «εγκατασταση» φλας στον γκοτζιλλα.
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#5
Υπάρχει κάποιος συγκεκριμένος λόγος για τον οποίο έχεις τη 17.10, που η υποστήριξή της έχει λήξει εδώ και ένα μήνα; Επίσης γιατί έχεις και ένα αποθετήριο της 18.04;
Το άπλυτο κορμί το πλένεις. Καθαρίζει. Η βρόμικη ψυχή πώς πλένεται;
  Απάντηση
#6
σχετικο ειναι αυτο νομιζω. και εγω εχω ακομα το σαπιο debian 8 liquorix, αλλα το εχω κρατησει γιατι δεν θελω να κανω τωρα «φορματ» και να βαζω αλλο (το upgrade απο 8 σε 9 τον παιρνει). για να βαλω αλλο θα φαω κανα μηνα να το ξανασετταρω και βγαζω φουσκαλες μονο που το σκεφτομαι. συν το gnome-shell που θα πρεπει να μετατρεψω το πανεμορφο γκοθι gnome-shell.css theme που εχω φτιαξει, σε αυτα τα ηλιθια gresource binary (δεν εχω ιδεα αν γινεται και πως) για να τρεξει στο καινουριο gnome-shell (αυτα τα ηλιθια binary τα απεχθανομαι, γιατι δεν μπορεις να το ανοιξεις απλα σαν text και να το μονταρεις απευθειας). ετσι οπως ειναι τωρα σαν απλο css, δεν τρεχει στο καινουριο gnome-shell. το εχω δοκιμασει
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#7
Δεν είναι σχετικό. Το Ubuntu δεν είναι Debian κι εσύ δε συγκαταλέγεσαι στους «φυσιολογικούς» χρήστες. Το ότι του ζητάει εξαρτήσεις με μεγαλύτερες εκδόσεις από αυτές που υπάρχουν στα αποθετήριά του δε συμβαίνει «έτσι».
Το άπλυτο κορμί το πλένεις. Καθαρίζει. Η βρόμικη ψυχή πώς πλένεται;
  Απάντηση
#8
παντως εννοω να μην μπορω να καταλαβω γιατι οι περισσοτεροι θεωρουν «ευκολο» να κανουν «ΜΧιες» στα συστηματα τους προσθετωντας πηγες διαφορετικων εκδοσεων, πηγες ασχετες με τις επισημες της διανομης, κλπ (οτι κανει το ΜΧ δηλαδη που το πασαρουν και για «καινοτομια», και κανεις ενα update και στελνεις το μισο συστημα στα μαυρα τα ψαρια). δεν ειναι «ευκολο» αυτο, αλλα «παω γυρευοντας να κανω το συστημα μου σπιτι». κανονικα κατι τετοιες τακτικες με ppa, προσθετα, κλπ, θα επρεπε να «απαγορευονται» και οχι να προωθουνται. το να τα ενθαρρυνουν και να τα παρουσιαζουν τοσο «ευκολα και απλα και ολα ροδινα» ειναι ανευθυνοτητα και αναξιοπιστια (και γνωριζουμε πολυ καλα ενα τετοιο ατομο που ηταν εδωμεσα). σελιδες που προωθουν τετοιες τακτικες θα επρεπε κανονικα να θεωρουνται επικινδυνες
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#9
Ευχαριστω πολύ για τις συμβουλες.Θα κανω μια καθαρή εγκατασταση,θα αφήσω μονο τις επισημες πηγες,γιατι τα εχω μπλεξει λιγο.Τα σχολια σας με βοηθησαν να καταλαβω τι σφαλμα έκανα.Να ειστε καλά.
Parachute for sale.  Used only once.  Small red stain ...
  Απάντηση


Πάμε στο Forum:


Πλάσματα σουλατσάρουν στο νήμα: 1 Επισκέπτης(ες)